--- title: "List the case links" slug: "list-the-case-links" updated: 2024-11-05T13:31:41Z published: 2024-11-05T13:31:41Z canonical: "developers.torq.io/list-the-case-links" --- > ## Documentation Index > Fetch the complete documentation index at: https://developers.torq.io/llms.txt > Use this file to discover all available pages before exploring further. # List the case links Get/v1alpha/cases/{case_id}/links Returns a list of all links associated with the specified case. SecurityHTTPType bearer Path parameterscase_idinteger (int32) Required The ID of the case for which to list the associated links. Query parametersfilters.first_case_relationsarray of string The first case relation for the links to be retrieved. filters.second_case_relationsarray of string The second case relation for the links to be retrieved. Responses200 A successful response. Expand Allobject links Array of object (v1Link) The links returned. object first_case_idinteger (int32) The ID of the first case in the link. Provide a value for this field when creating, updating or deleting a link. Example28 second_case_idinteger (int32) The ID of the second case in the link. Provide a value for this field when creating, updating or deleting a link. Example27 descriptionstring The link description. This field is optional. Examplefrom the same incident actorobject (v1Actor) kindstring The actor kind. Supported values are: USER, WORKFLOW, SOCRATES. userobject (ActorUser) emailstring The email of the actor. Only applicable when the actor is a user. Examplejane@torq.io created_atstring (date-time) The time when the link was created. This field value is automatically generated. Example1988-04-13T12:11:00Z updated_atstring (date-time) The time when the link was updated. Only the link relations can be updated; this field value is automatically generated. Example1988-04-13T12:11:00Z first_case_relationstring The relation of the first case to the second case. Provide a value for this field when creating or updating a link. The possible values are: parent_of/child_of, duplicate_of/duplicate_by, blocking/blocked_by, or other. Exampleparent_of second_case_relationstring The relation of the second case to the first case. Provide a value for this field when creating or updating a link. The value should complement the first_case_relation field value; for instance, if the first_case_relation is set to parent_of, the second_case_relation value should be child_of. Examplechild_of 401 Invalid bearer token. If you receive this message more than once try creating a new Client ID/Client Secret or generating a new bearer token. object 403 You don't have permission to access this resource. object default An unexpected error response. Expand Allobject codeinteger (int32) messagestring details Array of object (protobufAny) object `Any` contains an arbitrary serialized protocol buffer message along with a URL that describes the type of the serialized message. Protobuf library provides support to pack/unpack Any values in the form of utility functions or additional generated methods of the Any type. Example 1: Pack and unpack a message in C++. Foo foo = ...; Any any; any.PackFrom(foo); ... if (any.UnpackTo(&foo)) Example 2: Pack and unpack a message in Java. Foo foo = ...; Any any = Any.pack(foo); ... if (any.is(Foo.class)) // or ... if (any.isSameTypeAs(Foo.getDefaultInstance())) Example 3: Pack and unpack a message in Python. foo = Foo(...) any = Any() any.Pack(foo) ... if any.Is(Foo.DESCRIPTOR): any.Unpack(foo) ... Example 4: Pack and unpack a message in Go foo := &pb.Foo any, err := anypb.New(foo) if err != nil ... foo := &pb.Foo if err := any.UnmarshalTo(foo); err != nil The pack methods provided by protobuf library will by default use 'type.googleapis.com/full.type.name' as the type URL and the unpack methods only use the fully qualified type name after the last '/' in the type URL, for example "foo.bar.com/x/y.z" will yield type name "y.z". # JSON The JSON representation of an `Any` value uses the regular representation of the deserialized, embedded message, with an additional field `@type` which contains the type URL. Example: package google.profile; message Person { "@type": "type.googleapis.com/google.profile.Person", "firstName": , "lastName": } If the embedded message type is well-known and has a custom JSON representation, that representation will be embedded adding a field `value` which holds the custom JSON in addition to the `@type` field. Example (for message [google.protobuf.Duration][]): { "@type": "type.googleapis.com/google.protobuf.Duration", "value": "1.212s" } @typestring A URL/resource name that uniquely identifies the type of the serialized protocol buffer message. This string must contain at least one "/" character. The last segment of the URL's path must represent the fully qualified name of the type (as in `path/google.protobuf.Duration`). The name should be in a canonical form (e.g., leading "." is not accepted). In practice, teams usually precompile into the binary all types that they expect it to use in the context of Any. However, for URLs which use the scheme `http`, `https`, or no scheme, one can optionally set up a type server that maps type URLs to message definitions as follows: - If no scheme is provided, `https` is assumed. - An HTTP GET on the URL must yield a [google.protobuf.Type][] value in binary format, or produce an error. - Applications are allowed to cache lookup results based on the URL, or have them precompiled into a binary to avoid any lookup. Therefore, binary compatibility needs to be preserved on changes to types. (Use versioned type names to manage breaking changes.) Note: this functionality is not currently available in the official protobuf release, and it is not used for type URLs beginning with type.googleapis.com. As of May 2023, there are no widely used type server implementations and no plans to implement one. Schemes other than `http`, `https` (or the empty scheme) might be used with implementation specific semantics. property*object additionalProperties